const fs = require('fs');

const Markup = require('telegraf/markup');
const Extra = require('telegraf/extra');

//=== TOOL FUNCTIONS

const sound_list = {
	'meep_merp':{
		name: 'Meep Merp',
		file: 'meep_merp.mp3',

	},
	'oof':{
		name: 'Oof',
		file: 'oof.mp3',
	},
	'exalted':{
		name: 'Exalted',
		file: 'exalted.mp3',
	},
	'turtle':{
		name: 'Turtle',
		file: 'turtle.mp3',
	},

};
//=== MAIN MODULE CONFIG

module.exports = function(cmds){

	return {
	name : "SoundBoard",
	key : 'sndbrd',
	version : 0.1,
	requirements : {
		gps: false,
	},
	text : [
		{
			trigger : cmds,
			public : true,
			desc : {0:"Plays Sound",
					1:"Joue un son",
			},
			requirements : (bot,event,message)=>{ 
				return new Promise((resolve, reject)=>{
					return resolve(200);
				});
			},
			action : (bot,event,message)=>{
				const ss = message.text.replace('/','');
				if(sound_list[ss] != undefined){
					return event.replyWithVoice({source:__dirname+'/sounds/'+ sound_list[ss].file});
				}else{
					return event.reply("Unknown Sound !");
				}
			}
		},
	],
	reply : [],
	regex : [],
	media : [],
	callback : [
		{
			trigger : 'template',
			requirements : (bot,event,data)=>{ 
				return new Promise((resolve, reject)=>{
					return resolve(200);
				});
			},
			action : (bot,event,data)=>{
				return event.reply("Beep");
			}
		},
	],
	inline : [],
	new_member : (bot,event)=>{},
	weburl : [],
	cron : []
}
	
}